package com.xhkjedu.controller;

import com.xhkjedu.model.EClassStudent;
import com.xhkjedu.model.EPaperStudent0608;
import com.xhkjedu.service.EPaperVerifyService;
import com.xhkjedu.utils.N_Utils;
import com.xhkjedu.vo.PaperStudentParams;
import com.xhkjedu.vo.ResultVo;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * @author ywx
 * @classname EPaperCorrectVerifyController
 * @description 考卷校验
 * @date 2024/6/8 14:36
 **/
@RestController
@RequestMapping("/ev")
public class EPaperVerifyController {
    @Resource
    private EPaperVerifyService ePaperVerifyService;

    //根据姓名搜索学生信息
    @PostMapping("/search_stu")
    public ResultVo listStudentByStudentname(@RequestBody EClassStudent student) {
        Integer examid = student.getExamid();
        String studentname = student.getStudentname();
        if(N_Utils.isEmpty(studentname)) return new ResultVo(0, "获取成功！", new ArrayList<>());
        N_Utils.validation(new Object[]{examid, "考试id", 1});
        List<Map> list = ePaperVerifyService.listStudentByStudentname(examid, studentname, student.getClassid());
        if (list == null) list = new ArrayList<>();
        return new ResultVo(0, "获取成功！", list);
    }

    //获取学生试卷及试题作答
    @PostMapping("/get_stuPaper")
    public ResultVo getStudentPaper(@RequestBody EPaperStudent0608 ps) {
        N_Utils.validation(new Object[]{ps.getExamid(), "考试id", 1, ps.getEpid(), "试卷id", 1});
        Map map = ePaperVerifyService.getStudentPaper(ps);
        return new ResultVo(0, "获取成功！", map);
    }

    //识别跳过
    @PostMapping("/correct_skip")
    public ResultVo correctSkip(@RequestBody EPaperStudent0608 ps) {
        N_Utils.validation(new Object[]{ps.getEpid(), "试卷id", 1, ps.getStudentid(), "学生id", 1, ps.getVerified(), "是否验证", 1});
        ePaperVerifyService.correctSkip(ps);
        return new ResultVo(0, "识别成功！");
    }

    //识别保存
    @PostMapping("/correct_save")
    public ResultVo correctSave(@RequestBody PaperStudentParams ps) {
        Integer epid = ps.getEpid();
        Integer studentid = ps.getStudentid();
        N_Utils.validation(new Object[]{epid, "试卷id", 1,studentid, "学生id", 1});
        ePaperVerifyService.correctSave(ps);
        return new ResultVo(0, "保存成功！");
    }

}
