package com.xhkjedu.mapper;

import com.xhkjedu.model.EPaperQtypeQuestion;
import com.xhkjedu.model.EPaperStudent;
import com.xhkjedu.model.EPaperStudent0608;
import com.xhkjedu.model.EPaperStudentQuestion;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @author ywx
 * @classname EPaperVerifyMapper
 * @description todo
 * @date 2024/6/8 14:44
 **/
@Repository
public interface EPaperVerifyMapper {
    //根据姓名搜索学生信息
    List<Map> listStudentByStudentname(@Param("examid") Integer examid,@Param("studentname") String studentname,@Param("classid") Integer classid);

    //获取学生试卷及试题作答
    Map getStudentPaper(@Param("ps") EPaperStudent0608 ps);

    //识别跳过
    void correctSkip(@Param("ps") EPaperStudent0608 ps);

    //获取试卷原试题答案
    List<EPaperQtypeQuestion> listPaperAnswer(@Param("epid") Integer epid);

    //批量修改学生试题
    void updateBatchStuQuestion(@Param("list")List<EPaperStudentQuestion> list);

    //修改学生试卷状态
    void updateStuPaper(@Param("p")EPaperStudent p);

    //修改单独试卷审核状态
    void updateStuPaperVerified(@Param("p")EPaperStudent p);

    //修改新表试卷状态
    void updateStuPaper0608(@Param("p")EPaperStudent0608 p);

    //获取试卷中主观题
    List<EPaperStudentQuestion> listQuestionZGT(@Param("epid") Integer epid,@Param("studentid") Integer studentid);

    //获取新学生试卷
    EPaperStudent getStuPaperInfoNew(@Param("epid") Integer epid,@Param("studentid") Integer studentid);

    //获取学生试卷
    EPaperStudent getStuPaperInfo(@Param("epid") Integer epid,@Param("studentid") Integer studentid);

    //清空学生试卷
    void clearPaperStu(@Param("epid") Integer epid,@Param("studentid") Integer studentid);
    //清空学生试卷试题
    void clearPaperStuQues(@Param("epid") Integer epid,@Param("studentid") Integer studentid);
}
